General discussion

Locked

wimax mac layer simulation on ns2

By partitionmanager ·
"wimax mac layer security aspects using ns2"
this is my final year project. till now, i have been using ns2.34 on ubuntu 10.04. i couldn't find a wimax module to work upon.

i tried all i could. please somebody help me give direction to my project. i need a wimax module and then guidelines for mac layer security aspect analysis.

Please help as soon as possible.
Reply awaiting.

This conversation is currently closed to new comments.

4 total posts (Page 1 of 1)  
| Thread display: Collapse - | Expand +

All Comments

Collapse -

Listed right here:

by seanferd In reply to wimax mac layer simulatio ...

http://nsnam.isi.edu/nsnam/index.php/Contributed_Code#Wireless_and_Mobility
"ns-2 Wimax model"

Direct link to module"
http://www.lrc.ic.unicamp.br/wimax_ns2/

Collapse -

wimax module of ns2

by partitionmanager In reply to Listed right here:

i have already tried these.

these don't work for ns2.34. after applying the patch, it says
step2: re-run "./configure ; make clean ; make" in the ns-2.31 directory.

however, there is no such file as make in ns-2.34 directory.

do i have to take the pain of installing lower versions on ns (2.31 or 2.28 or 2.29 ) and take the pain of fixing bugs and then apply the wimax module.

Is there no wimax module for ns2.34 ??

Collapse -

wimax module of ns2

by poojagupta29 In reply to wimax module of ns2

r u still finding the problem with installing ns2.34 in ubuntu

Collapse -

wimax module of ns2

by poojagupta29 In reply to wimax module of ns2

Steps to install ns-2 in ubuntu

copy ns folder into usr/local
goto cd /usr/local/ns-allinone-2.34/otcl-1.13
run sudo ./configure

change the red highlight
Linux*) SHLIB_CFLAGS="-fpic" - SHLIB_LD="ld -shared" +
SHLIB_LD="gcc -shared" SHLIB_SUFFIX=".so" DL_LIBS="-ldl" SHLD_FLAGS=""
set the path and write sudo ./install
open cat ~/.bashrc and the lines from#LD_LIBRARY_PATH...............$NAM


if [ -f ~/.bash_aliases ]; then
. ~/.bash_aliases
fi

# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if [ -f /etc/bash_completion ] && ! shopt -oq posix; then
. /etc/bash_completion
fi

#LD_LIBRARY_PATH
OTCL_LIB=/usr/local/ns-allinone-2.34/otcl-1.13
NS_LIB=/usr/local/ns-allinone-2.34/lib
X11_LIB=/usr/X11R6/lib
USR_LOCAL_LIB=/usr/local/lib
export LD_LIBRAR_PATH=$LD_LIBRARY_PATH:$OTCL_LIB;$NS_LIB:$X11_LIB:$USR_LOCAL_LIB

TCL_LIB=/usr/local/ns-allinone-2.34/TCL8.4.18/library
USR_LIB=/usr/lib
export TCL_LIBRARY=$TCL_LIB;$USR_LIB

XGRAPH=/usr/local/ns-allinone-2.34/bin:/usr/local/ns-allinone-2.34/tcl8.4.18/unix:/usr/local/ns-allinone-2.34/tk8.4.18/unix
NS=/usr/local/ns-allinone-2.34/ns-2.34/
NAM=/usr/local/ns-allinone-2.34/nam-1.14/
PATH=$PATH:$xGRAPH:$NS:$NAM

Back to Security Forum
4 total posts (Page 1 of 1)  

Related Discussions

Related Forums